/* Complete CSS Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    -moz-text-size-adjust: none;
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
}

body,
h1,
p {
    margin-block-end: 0;
}

body {
    min-height: 100vh;
    line-height: 1.5;
}

h1 {
    line-height: 1.1;
}

img {
    max-width: 100%;
    display: block;
}

a {
    color: inherit;
    text-decoration: none;
}

@font-face {
    font-display: swap;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    src: url("./assets/fonts/inter-v20-latin-regular.woff2") format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    src: url("./assets/fonts/inter-v20-latin-600.woff2") format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 700;
    src: url("./assets/fonts/inter-v20-latin-700.woff2") format('woff2');
}

/* Global Changes w/ Root */
:root {
    /* Colors */
    --clr-green: hsl(75, 94%, 57%);
    --clr-black: hsl(0, 0%, 0%);
    --clr-white: hsl(0, 0%, 100%);
    --clr-grey-700: hsl(0, 0%, 20%);
    --clr-grey-800: hsl(0, 0%, 12%);
    --clr-grey-900: hsl(0, 0%, 8%);

    /* Font */
    --FF: "Inter", sans-serif;

    --FS-14: 0.9rem; /* 14px */
    --FS-16: 1rem;   /* 16px */
    --FS-24: 1.5rem; /* 24px */

    --FW-400: 400;
    --FW-600: 600;
    --FW-700: 700;
}

/* Typography */
.page__container {
    font-family: var(--FF);
    font-size: var(--FS-16);
    color: var(--clr-white);
}

.user-info__container {
    text-align: center;
}

.user-info__name {
    font-size: var(--FS-24);
    font-weight: var(--FW-700);
}

.user-info__location,
.social-media__link {
    font-weight: var(--FW-600);
}

.user-info__location,
.user-info__tag,
.social-media__link {
    font-size: var(--FS-14);
}

.user-info__location {
    color: var(--clr-green);
}

.user-info__tag {
    font-weight: var(--FW-400);
}

.social-media__link {
    text-align: center;
}

/* General - Mobile View */
.page__container {
    background-color: var(--clr-grey-900);
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 375px;
    margin: 0 auto;
}

.profile__container {
    background-color: var(--clr-grey-800);
    padding: 2.5em;
    border-radius: 1.2em;
    max-width: 375px;
}

.user-info__avatar {
    margin: 0 auto 1.55em;
    width: 40%;
    border-radius: 50%;
}

.user-info__name {
    margin-bottom: 0.375em;
}

.user-info__location {
    margin-bottom: 0.8em;
}

.user-info__tag {
    margin-bottom: 1.1em;
}

.social-media__container {
    display: grid;
    align-items: center;
}

.social-media__link {
    background-color: var(--clr-grey-700);
    border: none;
    margin-bottom: 0.938em;
    padding: 0.938em;
    border-radius: 0.8em;
    cursor: pointer;
    transition: background-color 0.4s ease-in-out;
    transition: color 0.2s ease-in-out;
}

.social-media__link:hover,
.social-media__link:focus {
    background-color: var(--clr-green);
    color: var(--clr-black);
}